Installing xTuple client on Ubuntu 14.04 LTS

 

asplus's picture

Hi,

I have tried the Ubuntu Software Centre but that only gives me the option to install 4.1.0.

I am looking to install 4.10.0. I did go to sourceforge.net and downloaded the Linux client for 32 bit.

After extracting the files, if I double-click on xtuple.bin, I have the spinning ball for a few seconds and then, nothing happens.

If I use the Ubuntu Software Center, 4.1.0 installs properly, I can select it from the left toolbar and it will run.

Can somebody point me in the right direction for this?

Thanks in advance,

Bernard Le Jour

AS Plus Informatique Inc.

P.S. I am a beginner with Linux 

 
pmulligan
pmulligan's picture
Offline
Joined: 09/19/2013
Good morning Bernard. As far

Good morning Bernard.

As far as I still know, the Linux xTuple client uses ia32-libs which was depreciated in Ubuntu 14.04 LTS; it was replaced with multiarch.

You need to add a couple of packages to your Ubuntu install to get the client to work;  I posted my instructions for installing xTuple on Ubuntu 14.04LTS here

NOTE: as with anything, try this on a test machine and verify before releasing into production.

Regards,

Patrick

 
davidbeauchamp
davidbeauchamp's picture
Offline
Joined: 07/20/2008
Is the machine 32 or 64bit

We produce a binary for 64 and 32bit installations, if you are running a 64bit install of Ubuntu you can use the 64bit client just fine. We actually build it using Ubuntu 14.04 so you should be able to download the client and run it. On Ubuntu 16.04 you need to install libicu52 from Ubuntu 14.04 in order to make it work (you can get that package here).

 
pmulligan
pmulligan's picture
Offline
Joined: 09/19/2013
Thanks for the update David.

Thanks for the update David. It's good to here that there is a 64-bit binary now.

I posted my workaround years ago when 14.04 first came out and there was only a 32 bit client. I will definitely use the new client when I update to 16.04.

Thanks again!

Patrick